Icy Phoenix

     
 


Post new topic  Reply to topic 
Page 1 of 2
Goto page 1, 2  Next
 
Reply with quote Download Post 
Post Problem With IP2.0 In PHP 5.4? 
 
Really, I'm going crazy whit this problem...

I send you screenshots  

Is curious because ip_20110224_13053b work on my server 1and1.es (PHP 5.4).
But ip_20120728_20086 not work.

I leave you screenshots of the installation process on my linux server with PHP 5.4.


 instalation_01

 instalation_02

 instalation_03

.......

http://asaex.org/ip_20120728_20086/ip_20120728_20086/index.php = not working

http://asaex.org/ip_20120728_20086/ip_20120728_20086/forum.php = working

http://asaex.org/ip_20120728_20086/...rch_id=newposts =working

http://asaex.org/ip_20120728_20086/...rofile_main.php = working

...The rest of links it seems that work well.

 

Please, someone can help me?

       
 




____________
* URL: www.laforo.org
* Versión de phpBB Icy Phoenix: 1.3.0.53b and 2.0.0.86
* Parches Instalados: No
* Modificaciones Realizadas: No
* Es una actualización o instalación limpia: Instalación limpia
* Formular tu pregunta: formulada en el post
 
DimoSend private message  
Back to topPage bottom
Icy Phoenix is an open source project, you can show your appreciation and support future development by donating to the project.

Support us
 
Reply with quote Download Post 
Post Re: Problem With IP2.0 In PHP 5.4? 
 
PHP 5.4 combines E_ALL and E_STRICT, which means that some previous setting for error_reporting does not work properly now.

You can try this fix... In your php.ini change:

Code: [Download] [Hide] [Select]
error_reporting = E_ALL


to

Code: [Download] [Hide] [Select]
error_reporting = E_ALL & ~E_NOTICE & ~E_STRICT



If you don't have access to the php.ini, you can potentially put this in your .htaccess file:

Code: [Download] [Hide] [Select]
php_value error_reporting 30711


This is the E_ALL value (32767) and the removing the E_STRICT (2048) and E_NOTICE (8) values.

If you don't have access to the .htaccess file or it's not enabled, you'll probably need to put this in common.php in replacement of the old error_reporting code:

Code: [Download] [Hide] [Select]
error_reporting(E_ALL & ~E_STRICT & ~E_NOTICE);

 




____________
Luca
SEARCH is the quickest way to get support.
Icy Phoenix ColorizeIt - CustomIcy - HON
 
Mighty GorgonSend private messageSend e-mail to userVisit poster's website  
Back to topPage bottom
Reply with quote Download Post 
Post Re: Problem With IP2.0 In PHP 5.4? 
 
Thanks boss for the information but I have no solution for that.

.....

I apply the changes in my forum root files.

For OLD ".htaccess" (I send my old file).


Code: [Download] [Hide] [Select]
#php_flag register_globals 0
#php_flag register_globals off
#php_flag magic_quotes_gpc on
#php_value memory_limit 16M
#Options +FollowSymlinks

# Disable the files listing feature
#Options All -Indexes

<Files "config.php">
Order Allow,Deny
Deny from All
</Files>

<Files "common.php">
Order Allow,Deny
Deny from All
</Files>


For NEW ".htaccess"

Code: [Download] [Hide] [Select]
#php_flag register_globals 0
#php_flag register_globals off
#php_flag magic_quotes_gpc on
#php_value memory_limit 16M
#php_value error_reporting 30711
#Options +FollowSymlinks

# Disable the files listing feature
#Options All -Indexes

<Files "config.php">
Order Allow,Deny
Deny from All
</Files>

<Files "common.php">
Order Allow,Deny
Deny from All
</Files>


=========================

After apply the changes in ".htaccess" file everithing is same.

And I decide try change the "common.php" but the forum not working


=========================

For OLD "common.php" (I send my old file).

Code: [Download] [Hide] [Select]
$starttime = explode(' ', microtime());
$starttime = $starttime[1] + $starttime[0];

error_reporting(E_ALL ^ E_NOTICE); // Report all errors, except notices

//@ini_set('memory_limit', '24M');

// MIGHTY GORGON - DEBUG - BEGIN
@define('DEBUG', true); // Debugging ON/OFF => TRUE/FALSE
@define('DEBUG_EXTRA', true); // Extra Debugging ON/OFF => TRUE/FALSE
if (defined('DEBUG_EXTRA') && DEBUG_EXTRA)


For NEW "common.php"

Code: [Download] [Hide] [Select]
$starttime = explode(' ', microtime());
$starttime = $starttime[1] + $starttime[0];

error_reporting(E_ALL & ~E_STRICT & ~E_NOTICE); // Report all errors, except notices

//@ini_set('memory_limit', '24M');

// MIGHTY GORGON - DEBUG - BEGIN
@define('DEBUG', true); // Debugging ON/OFF => TRUE/FALSE
@define('DEBUG_EXTRA', true); // Extra Debugging ON/OFF => TRUE/FALSE
if (defined('DEBUG_EXTRA') && DEBUG_EXTRA)



Sorry for my stupidity. I will be installing the forum with the modified files from the beginning.

common.rar
Description: common.php 
Download
Filename: common.rar
Filesize: 3.18 KB
Downloaded: 96 Time(s)
.htaccess.rar
Description: .htaccess.rar 
Download
Filename: .htaccess.rar
Filesize: 1.86 KB
Downloaded: 80 Time(s)

 




____________
* URL: www.laforo.org
* Versión de phpBB Icy Phoenix: 1.3.0.53b and 2.0.0.86
* Parches Instalados: No
* Modificaciones Realizadas: No
* Es una actualización o instalación limpia: Instalación limpia
* Formular tu pregunta: formulada en el post
 
DimoSend private message  
Back to topPage bottom
Reply with quote Download Post 
Post Re: Problem With IP2.0 In PHP 5.4? 
 
Look in your panel and accommodation changes to PHP 5.4 in select php version.

 newimage  neewimage
 




____________
========================
URL: http://www.fotosdemenorca.com
MODs instalados:Estadisticas Completas V 4.1
Version de Icy Phoenix: Icy Phoenix 2.0.0.86
 
menorcaSend private messageSend e-mail to userVisit poster's website  
Back to topPage bottom
Reply with quote Download Post 
Post Re: Problem With IP2.0 In PHP 5.4? 
 
The # comments out the line?

#php_value error_reporting 30711

Try:

php_value error_reporting 30711

And PLEASE .zip your files as RAR is not FREE and NOT everyone can be bothered using it.

ZIP is universal - RAR isn't
 



 
mortSend private message  
Back to topPage bottom
Reply with quote Download Post 
Post Re: Problem With IP2.0 In PHP 5.4? 
 
Menorca... You can see my CP in my hosting here:

 sin_t_tulo_2

I can use only 5.4, 5.5 and dev  


===============

Sorry Mort, the next time I'll use ZIP. I promise you
 




____________
* URL: www.laforo.org
* Versión de phpBB Icy Phoenix: 1.3.0.53b and 2.0.0.86
* Parches Instalados: No
* Modificaciones Realizadas: No
* Es una actualización o instalación limpia: Instalación limpia
* Formular tu pregunta: formulada en el post
 
DimoSend private message  
Back to topPage bottom
Reply with quote Download Post 
Post Re: Problem With IP2.0 In PHP 5.4? 
 
¡¡¡¡¡¡¡¡¡BIENNNN!!!!!!!!! I find a solution for my server!!!!!!!

I give the lines code and ".htacces" file.

After #php_value memory_limit 16M we must add:

Code: [Download] [Hide] [Select]
AddType x-mapp-php5 .php .php4
AddHandler x-mapp-php5 .php .php


Spoiler: [ Show ]


.htaccess.zip
Description: .htaccess.zip 
Download
Filename: .htaccess.zip
Filesize: 5.79 KB
Downloaded: 90 Time(s)

 




____________
* URL: www.laforo.org
* Versión de phpBB Icy Phoenix: 1.3.0.53b and 2.0.0.86
* Parches Instalados: No
* Modificaciones Realizadas: No
* Es una actualización o instalación limpia: Instalación limpia
* Formular tu pregunta: formulada en el post
 
DimoSend private message  
Back to topPage bottom
Reply with quote Download Post 
Post Re: Problem With IP2.0 In PHP 5.4? 
 
Hey! Dimo,

Thanks for your solution, and it goes to show how far behind the times I am with keeping up with all the changes and why I don't bother with it too much any more.

So next time I get stuck with something - I might have to ask YOU a question!  
 



 
mortSend private message  
Back to topPage bottom
Reply with quote Download Post 
Post Re: Problem With IP2.0 In PHP 5.4? 
 
Nooooo  mort   ...  You are more intelligent than me
 




____________
* URL: www.laforo.org
* Versión de phpBB Icy Phoenix: 1.3.0.53b and 2.0.0.86
* Parches Instalados: No
* Modificaciones Realizadas: No
* Es una actualización o instalación limpia: Instalación limpia
* Formular tu pregunta: formulada en el post
 
DimoSend private message  
Back to topPage bottom
Reply with quote Download Post 
Post Re: Problem With IP2.0 In PHP 5.4? 
 
Off Topic
 mort: [View Post]

Maybe I need to start a "new" web site to regenerate some interest in both php and Icy Phoenix - Only problem is I really don't know what the heck I would want to talk or rave about.

 

 



 
mortSend private message  
Back to topPage bottom
Reply with quote Download Post 
Post Re: Problem With IP2.0 In PHP 5.4? 
 
mort wrote: [View Post]
Off Topic
 mort: [View Post]

Maybe I need to start a "new" web site to regenerate some interest in both php and Icy Phoenix - Only problem is I really don't know what the heck I would want to talk or rave about.

 


Yes mort. There is a big problem with PHP and Icy Phoenix in some hosting servers. My solution is a patch for the issue of PHP 5.5 to PHP 5.2.
We should make a thorough review of Icy Phoenix because it's a great system and should be among the greatest. And a real shame that www.icyphoenix.es not work as before.

 




____________
* URL: www.laforo.org
* Versión de phpBB Icy Phoenix: 1.3.0.53b and 2.0.0.86
* Parches Instalados: No
* Modificaciones Realizadas: No
* Es una actualización o instalación limpia: Instalación limpia
* Formular tu pregunta: formulada en el post
 
DimoSend private message  
Back to topPage bottom
Reply with quote Download Post 
Post Re: Problem With IP2.0 In PHP 5.4? 
 
Dimo wrote: [View Post]

We should make a thorough review of Icy Phoenix because it's a great system and should be among the greatest.


By 'We" I assume that you mean MG because he's the only one that tends to keep it up to date, and it's a BIG ask to expect him to keep up with and apply the changes to current versions on a regular basis for every change or bug that pops up.

I found that out with the Games Software I worked with - One was forever changing it to the point that it was a PAIN to keep updating the download.zip every time something was changed - or even keeping track of the changes to post them as "Fixes" etc.

He's also not around that much any more because of his work commitments, so no matter what pops up it's kind of left up to the users to try and fix the problems before MG even becomes aware of them.

It's not the best of arrangements - But at the moment it's the only one we have because most, if not all of the FREE programming people have moved onto other things and lost interest in what's going on with Icy Phoenix.

But I do know that he has updated a lot of stuff in GIT-Hub - which probably will be released as a new version?

Not quite sure what he's doing -  as I have a lot of catching up to do?

 
 



 
mortSend private message  
Back to topPage bottom
Reply with quote Download Post 
Post Re: Problem With IP2.0 In PHP 5.4? 
 
Dear Friend mor. Hopefully the Icy Phoenix Project never die as is dying the support in spanish language.  
 




____________
* URL: www.laforo.org
* Versión de phpBB Icy Phoenix: 1.3.0.53b and 2.0.0.86
* Parches Instalados: No
* Modificaciones Realizadas: No
* Es una actualización o instalación limpia: Instalación limpia
* Formular tu pregunta: formulada en el post
 
DimoSend private message  
Back to topPage bottom
Reply with quote Download Post 
Post Re: Problem With IP2.0 In PHP 5.4? 
 
I've always said to MG that ALL of the support for Icy Phoenix SHOULD be done here with "International" categories for each language that are popular. But he seems to be against that idea for some reason.

Icy.es and Icy.uk and a couple of others are good examples that what was once reasonably popular support are now things of the past and that idea of separate support forums should be scrapped.

I think we're all grown up enough to realise that we ALL don't speak the same language and sometimes it's difficult - But with "Google Translate" and a bit of patience I'm sure ALL of us could help each other NO MATTER what language one speaks.

And I'm also sure that by keeping ALL the support questions here in all the popular languages, we wouldn't have solutions posted elsewhere that NONE of us here are aware about.

And in my opinion - Icy Phoenix needs to go to having International Support here to at least keep this one ticking over.

 




Too easy!

Siempre he dicho a MG que TODO el apoyo a Icy Phoenix debe hacerse aquí con las categorías "internacionales" para cada idioma que son populares. Pero él parece estar en contra de esa idea por alguna razón. : (

Icy.es y Icy.uk y un par de otros, son buenos ejemplos de que lo que una vez fue el apoyo razonablemente popular son ahora cosa del pasado y que la idea de los foros de soporte separadas se debe desechar.

Creo que todos estamos crecido lo suficiente como para darse cuenta de que todos no hablamos el mismo idioma y, a veces es difícil - Pero con "Google Translate" y un poco de paciencia estoy seguro que todos nosotros podríamos ayudar a los demás NO IMPORTA qué idioma se habla.

Y también estoy seguro de que al mantener TODAS las preguntas de soporte aquí en todas las lenguas populares, no tendríamos soluciones destinados en otro sitio que ninguno de los aquí presentes son conscientes de.

Y en mi opinión - Icy Phoenix tiene que ir a contar con el apoyo internacional para al menos mantener este marcando más.

  
 



 
mortSend private message  
Back to topPage bottom
Reply with quote Download Post 
Post Re: Problem With IP2.0 In PHP 5.4? 
 
Quote:
By 'We" I assume that you mean MG because he's the only one that tends to keep it up to date, and it's a BIG ask to expect him to keep up with and apply the changes to current versions on a regular basis for every change or bug that pops up.
Don't forget everybody that contributes code ;). Gabriel Anca, for exemple, did a big Pull Request 3/4 months ago (which is the last time MG updated the codebase), I contributed some stuff too, etc.
 



 
InformproSend private message  
Back to topPage bottom
Post new topic  Reply to topic  Page 1 of 2
Goto page 1, 2  Next


Display posts from previous:    

HideWas this topic useful?

Link this topic
URL
BBCode
HTML




 
Permissions List
You cannot post new topics
You cannot reply to topics
You cannot edit your posts
You cannot delete your posts
You cannot vote in polls
You cannot attach files
You can download files
You cannot post calendar events